org.bouncycastle.crypto.engines

## Class VMPCKSA3Engine

- java.lang.Object
- - org.bouncycastle.crypto.engines.VMPCEngine
  - - org.bouncycastle.crypto.engines.VMPCKSA3Engine

All Implemented Interfaces:
  StreamCipher

    public class VMPCKSA3Engine
    extends VMPCEngine

### Field Summary

### Fields inherited from class org.bouncycastle.crypto.engines.VMPCEngine

`n, P, s, workingIV, workingKey`

### Constructor Summary

Constructors
Constructor and Description
`VMPCKSA3Engine()`

### Method Summary

Methods
`java.lang.String` `getAlgorithmName()` Return the name of the algorithm the cipher implements.
`protected void` `initKey(byte[] keyBytes, byte[] ivBytes)`

### Methods inherited from class org.bouncycastle.crypto.engines.VMPCEngine

`init, processBytes, reset, returnByte`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VMPCKSA3Engine

    public VMPCKSA3Engine()

### Method Detail

#### getAlgorithmName

    public java.lang.String getAlgorithmName()

Description copied from interface: `StreamCipher`
Return the name of the algorithm the cipher implements.

Specified by:
  `getAlgorithmName` in interface `StreamCipher`
Overrides:
  `getAlgorithmName` in class `VMPCEngine`
Returns:
  the name of the algorithm the cipher implements.

#### initKey

    protected void initKey(byte[] keyBytes,
               byte[] ivBytes)

Overrides:
  `initKey` in class `VMPCEngine`